<?php

class SevenComprobante extends SevenBase{
	
	protected $id_cliente = '', $id_venta = '', $cliente = '', $tipo = '', $nombre_comprobante = '', $fecha_venta = '', $total_venta = '';
        	
    
    public static function getIdCliente( $ruc_dni ){         

        $data = DB::query("
                        SELECT *
                        FROM clientes
                        WHERE numero_documento = '".$ruc_dni."'
                        LIMIT 1
                    ");
        
        return $data->fetch_object()->id_cliente;
    }

    public static function getComprobantes( $id ){         

        $data = DB::query("
                        SELECT id_venta, c.numero_documento as documento, c.nombre as cliente, t.nombre as tipo, t.codigo as codigo, nombre_comprobante, DATE_FORMAT(fecha_venta, '%d-%m-%Y') as fecha_venta, total_venta
                        FROM ventas v 
                        INNER JOIN clientes c ON c.id_cliente = v.id_cliente 
                        INNER JOIN tipo_comprobante t ON t.id_tipo_comprobante = v.id_tipo_comprobante 
                        WHERE v.id_cliente = '".$id."' 
                        AND v.estado = 1 
                        ORDER BY v.created_at DESC
                    ");
        
        return $data;
    }

    public static function getComprobante( $id, $nombre ){         

        $data = DB::query("
                        SELECT id_venta, c.numero_documento as documento, c.nombre as cliente, t.nombre as tipo, t.codigo as codigo, nombre_comprobante, DATE_FORMAT(fecha_venta, '%d-%m-%Y') as fecha_venta, total_venta
                        FROM ventas v 
                        INNER JOIN clientes c ON c.id_cliente = v.id_cliente 
                        INNER JOIN tipo_comprobante t ON t.id_tipo_comprobante = v.id_tipo_comprobante 
                        WHERE v.id_cliente = '".$id."'
                        AND v.nombre_comprobante = '".$nombre."'  
                        AND v.estado = 1 ORDER BY v.created_at  DESC LIMIT 1
                    ");
        
        return $data;
    }
}

?>